Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2008-6070

Overview

Vulnerability Score 9.3 9.3
CVE Id CVE-2008-6070
Last Modified 08 Apr 2009 01:33:54
Published 10 Feb 2009 01:59:34
Confidentiality Impact COMPLETE COMPLETE
Integrity Impact COMPLETE COMPLETE
Availability Impact COMPLETE COMPLETE
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2008-6070

Summary

Multiple heap-based buffer underflows in the ReadPALMImage function in coders/palm.c in GraphicsMagick before 1.2.3 allow remote attackers to cause a denial of service (crash) or possibly execute arbitrary code via a crafted PALM image, a different vulnerability than CVE-2007-0770. NOTE: some of these details are obtained from third party information.

Vulnerable Systems

Application

  • Graphicsmagick 1.0

  • Graphicsmagick 1.0.1

  • Graphicsmagick 1.0.2

  • Graphicsmagick 1.0.3

  • Graphicsmagick 1.0.4

  • Graphicsmagick 1.0.5

  • Graphicsmagick 1.0.6

  • Graphicsmagick 1.1

  • Graphicsmagick 1.1.1

  • Graphicsmagick 1.1.10

  • Graphicsmagick 1.1.11

  • Graphicsmagick 1.1.12

  • Graphicsmagick 1.1.13

  • Graphicsmagick 1.1.14

  • Graphicsmagick 1.1.2

  • Graphicsmagick 1.1.3

  • Graphicsmagick 1.1.4

  • Graphicsmagick 1.1.5

  • Graphicsmagick 1.1.6

  • Graphicsmagick 1.1.7

  • Graphicsmagick 1.1.8

  • Graphicsmagick 1.1.9

  • Graphicsmagick 1.2.1

  • Graphicsmagick 1.2.2


References

XF - graphicsmagick-readpalmimage-bo(42904)

BID - 29583

CONFIRM - http://sourceforge.net/project/shownotes.php?release_id=604837&group_id=73485

CONFIRM - http://sourceforge.net/project/shownotes.php?release_id=604837

SECUNIA - 30549

CONFIRM - http://cvs.graphicsmagick.org/cgi-bin/cvsweb.cgi/GraphicsMagick/coders/palm.c


Last Updated: 27 May 2016 10:49:02